
Infrastructure - Story #3656

integration testing: what are acceptable pids for update?

2013-03-12 22:31 - Rob Nahf

Status: New Start date:  

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Update takes an originalPid as a parameter which is used to set the obsoletes and obsoletedBy fields for the two objects.  Can the

pid provided for that parameter be for an object that is:

a) archived - ?

b) reserved - should be no

c) deleted - ?

d) "current" but located on different MN

d) may be difficult to test, it would happen only when the original member node stops hosting the original - is no longer the

authoritative node -  but is still in service.

History

#1 - 2015-01-19 22:47 - Dave Vieglais

- Project changed from Infrastructure to Test Resources

- Category deleted (d1_integration)

#2 - 2018-01-09 02:29 - Dave Vieglais

- Product Version set to *

- Milestone set to None

- Project changed from Test Resources to Infrastructure

#3 - 2018-01-17 20:22 - Dave Vieglais

- Sprint set to Infrastructure backlog

#4 - 2018-01-17 20:22 - Dave Vieglais

- Assignee changed from Rob Nahf to Roger Dahl
